com.sap.conn.jco

## Interface JCoThroughput

- All Superinterfaces:
    Cloneable

      public interface JCoThroughput
      extends Cloneable

  JCo Throughput interface.
  The implementation of this interface stores performance data.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()` Returns a clone of this object.
    `long` | `getHandleRequestTime()` Returns the time consumed by the server's handle request method.
    `long` | `getMarshallTime()` Returns the time consumed for marshalling data from JCo to network representation.
    `long` | `getMiddlewareTime()` Returns the time consumed by the middleware layer.
    `long` | `getNumCalls()` Returns the number of calls since the last reset.
    `long` | `getNumReceivedBytes()` Returns the number of data bytes received from the remote system.
    `long` | `getNumSentBytes()` Returns the number of data bytes sent to the remote system.
    `long` | `getTotalTime()` Returns the total execution time.
    `long` | `getUnmarshallTime()` Returns the time consumed for marshalling data from network to JCo representation.
    `void` | `reset()` Resets all instance variables to zero.

- - ### Method Detail

    - #### clone

          Object clone()

      Returns a clone of this object.
      Returns:
        a clone of this object

    - #### reset

          void reset()

      Resets all instance variables to zero.

    - #### getNumCalls

          long getNumCalls()

      Returns the number of calls since the last reset.
      Returns:
        the number of calls

    - #### getMarshallTime

          long getMarshallTime()

      Returns the time consumed for marshalling data from JCo to network representation.
      Returns:
        the time consumed for marshalling data (in milliseconds)

    - #### getUnmarshallTime

          long getUnmarshallTime()

      Returns the time consumed for marshalling data from network to JCo representation.
      Returns:
        the time consumed for unmarshalling data (in milliseconds)

    - #### getMiddlewareTime

          long getMiddlewareTime()

      Returns the time consumed by the middleware layer.
      Returns:
        the time consumed by the middleware layer (in milliseconds)

    - #### getHandleRequestTime

          long getHandleRequestTime()

      Returns the time consumed by the server's handle request method.
      Returns:
        the time consumed by the server's handle request method (in milliseconds)

    - #### getTotalTime

          long getTotalTime()

      Returns the total execution time.
      Returns:
        the total execution time (in milliseconds)

    - #### getNumSentBytes

          long getNumSentBytes()

      Returns the number of data bytes sent to the remote system.
      Returns:
        the number of data bytes sent to the remote system

    - #### getNumReceivedBytes

          long getNumReceivedBytes()

      Returns the number of data bytes received from the remote system.
      Returns:
        the number of data bytes received from the remote system

Copyright © 2020 SAP. All Rights Reserved.